#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "frog.inc"

camera {
  location  <0 8 -8>
  direction <0 0 1.5>
  up        <0 1 0>
  right     <1.33 0 0>
  look_at   <0 0 2>
}

object { //spotlight to highlight frog
  light_source { 
    <4 6 -2> 
    color White 
    spotlight
    point_at <0 3 0>
    tightness 80
    radius 10
    falloff 18
  }
}

object { //starry night
  sphere {<0 0 0> 1000}
  texture {
    image_map {gif "starfld1.gif" map_type 0 interpolate 2}
    translate <-0.5 -0.65 0>
    scale <1000 1000 1000>  //try <700 700 700> might be better
  }
}

object { //full moon
  union {
    sphere {<13 -25 50> 3
      texture {
        color White alpha .35
        ambient 1.0
        diffuse 0.0
      }
    }
    light_source {<13 -15 50.1> color White}
  }
} 

composite {
  Frog
  scale <.3 .3 .3>
  rotate <0 15 0>
  rotate <0 0 -3>
  translate <0 3.1 0>
}

object { //glass sphere frog sits on
  sphere {<.25 .295 0> 2.2}
  texture {
    color LightBlue alpha 1.0
    ambient 0.0
    diffuse 0.0
    reflection .15
    refraction 1.0
    ior 1.33
    specular 1.0
    roughness .001
  }
}

object {  //ocean
  plane {<0 1 0> .705 rotate <35 0 0>}
  texture {
    color SeaGreen
    ripples .35
    frequency 100
    turbulence .5
    ambient .1
    diffuse .1
    reflection .7
    specular .5
    scale <10 10 10>  //try <30 30 30> for bigger ripples
    roughness .03
  }
}

